This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 486042 - Non-ASCII characters in console white and garbage if standard text mode is used
Non-ASCII characters in console white and garbage if standard text mode is used
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
21
All Linux
low Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 484497
  Show dependency treegraph
 
Reported: 2009-02-17 19:17 EST by Julian Sikorski
Modified: 2015-12-02 09:37 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-01 21:31:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot showing white Polish characters (14.60 KB, image/png)
2009-03-12 18:30 EDT, Julian Sikorski
no flags Details
photo of the screen (1.11 MB, image/jpeg)
2012-01-25 11:43 EST, Julian Sikorski
no flags Details
photo of the screen, tty in runlevel 3 (1.04 MB, image/jpeg)
2012-01-25 12:07 EST, Julian Sikorski
no flags Details
photo of the screen, tty after starting X (1.07 MB, image/jpeg)
2012-01-25 12:09 EST, Julian Sikorski
no flags Details

  None (edit)
Description Julian Sikorski 2009-02-17 19:17:55 EST
Description of problem:
Polish characters in tty are displayed correctly only until X starts, then they get replaced by some weird symbols. This is not happening when booting with vga=0x318. If you switch to tty after login and run:
# setsysfont
or
# /lib/udev/console_init tty0
then the Polish characters will get displayed correctly, but with a wrong colour (white instead of grey in normal case). Switching to X and back to console breaks things again.
My /etc/sysconfig/i18n contains the following:
LANG="pl_PL.UTF-8"
SYSFONT="latarcyrheb-sun16"

Version-Release number of selected component (if applicable):
initscripts-8.86-1.x86_64

How reproducible:
always

Steps to Reproduce:
1. Set locale to Polish
2. Boot
3. Wait for X to come up
4. Switch back to console with ctrl-alt-f2
  
Actual results:
Polish characters are busted

Expected results:
Polish characters are displayed correctly.

Additional info:
I have an nvidia GPU here, so I'm not using KMS for obvious reasons.
Comment 1 Bill Nottingham 2009-02-18 11:36:59 EST
CC'ing Ray. What happens if you remove 'rhgb quiet' from the boot command line?
Comment 2 Julian Sikorski 2009-02-18 11:58:57 EST
Apart from the fact that there is no plymouth and initrd outputs a lot more messages, nothing.
Comment 3 Julian Sikorski 2009-03-12 18:30:04 EDT
Created attachment 335021 [details]
Screenshot showing white Polish characters

Seems that with current rawhide (installed today) the situation is a little bit better, but the problem with white colour instead of grey remains (screenshot attached). This is an installation inside a kvm machine.
Comment 4 Julian Sikorski 2009-03-12 18:39:35 EDT
This time, characters are white during boot-up as well. Adding vga=789 to the boot line makes them grey during both boot-up and shutdown.
Comment 5 Bill Nottingham 2009-03-13 15:15:03 EDT
Which terminal is X running on - 1 or 7?
Comment 6 Julian Sikorski 2009-03-13 15:35:34 EDT
1
Comment 7 Julian Sikorski 2009-04-28 18:23:08 EDT
This bug is still present in the preview release. Any ideas why using a vesa mode would make the character colours right?
Comment 8 Julian Sikorski 2009-04-28 18:25:20 EDT
For the record, vga=0x301 is enough so it's not the matter of resolution.
Comment 9 Bill Nottingham 2009-06-16 12:00:05 EDT
Is this still with KVM only?
Comment 10 Julian Sikorski 2009-06-16 13:38:27 EDT
Why KVM only? I never checked native F-11, only F-10 (which I still have installed on this machine). I'll retest with liveusb and post the results.
Comment 11 Julian Sikorski 2009-06-16 14:19:52 EDT
I just tried F-11 i686 live USB and it works if booted natively (KVM still exhibits white characters).
Comment 12 Julian Sikorski 2009-06-16 16:06:52 EDT
So it seems that the white characters in F11 are unrelated. I also checked F10 live USB, and the problem exists there. So some sort of misconfiguration on my side is unlikely.
Comment 13 Bug Zapper 2009-11-18 06:08:10 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2009-12-18 02:56:57 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 15 Julian Sikorski 2010-01-03 15:19:45 EST
I just checked this again and the problem is still present in F-12 - at least on this machine.
To make things clear, non-ascii characters are fine (grey and legible) during boot-up. Once X starts, they become both white and replaced with random garbage. Both setsysfont and /lib/udev/console_init ttyx (where x is the number of the affected console) fix the legibility, but not the colour.
Moreover, some of the Polish characters remain correct even after X startup, namely ó, ę and ą; along with their capital counterparts.
This is with initscripts-9.02.1-1.x86_64
I suspect that bugs #458362 and #526570 might be related. I'm currently downloading F12 live CD to do some more testing and include/exclude a misconfiguration on my machine.
Comment 16 Bug Zapper 2010-11-04 07:30:09 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Piotr Drąg 2010-11-04 07:56:06 EDT
Still present in F14.
Comment 18 Julian Sikorski 2011-05-15 09:24:20 EDT
And in Fedora 15 clean install from a couple of days ago
Comment 19 Bill Nottingham 2011-05-16 14:23:52 EDT
Moving to systemd; this is done there (and in dracut) now. There was a bug fixed recently in systemd/dracut regarding this.
Comment 20 Lennart Poettering 2011-08-30 20:52:19 EDT
Hmm, systemd loads fonts only at boot, not after X. Not sure what systemd should do here any differently...
Comment 21 Fedora Admin XMLRPC Client 2011-10-20 12:29:57 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 22 Jóhann B. Guðmundsson 2012-01-24 06:20:18 EST
Is this still a problem or can this bug be closed?
Comment 23 Julian Sikorski 2012-01-25 11:43:57 EST
Created attachment 557480 [details]
photo of the screen

Unfortunately yes.
Maybe it is Plymouth's text plugin messing things up? I am using an nvidia driver, so my console would only work with VGA mode.
Comment 24 Bill Nottingham 2012-01-25 11:52:00 EST
What happens if you boot without plymouth entirely? (rd.plymouth=0)
Comment 25 Julian Sikorski 2012-01-25 12:07:12 EST
Created attachment 557484 [details]
photo of the screen, tty in runlevel 3

It does not help (plus it seems there are some leftovers of the progress bar at the end of the bug report but this is irrelevant here).
What helps though, is starting the machine in runlevel 3 by adding 3 to the kernel boot line.
Comment 26 Julian Sikorski 2012-01-25 12:09:10 EST
Created attachment 557485 [details]
photo of the screen, tty after starting X

Moreover, running startx from tty when in runlevel 3 breaks the fonts again. The difference to the old screenshot is a result of the fact that some of the characters do not react to caps lock and capital one needs to be forced with shift.
Comment 27 Bill Nottingham 2012-01-25 12:23:29 EST
Moving to the X server. Although, for all I know, this may end up being in the kernel in regards to state of the console getting lost in the assorted VT switches and state changes.
Comment 28 Fedora End Of Life 2013-02-13 21:47:00 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 29 Fedora End Of Life 2015-11-04 10:47:22 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 30 Fedora End Of Life 2015-12-01 21:31:37 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.